| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
LoanableArray< T, num_items > Struct Template Reference

A type-safe, ordered collection of elements allocated on the stack, which can be loaned to a LoanableCollection. More...

`#include <LoanableArray.hpp>`

Inheritance diagram for LoanableArray< T, num_items >:
[legend]

## Public Member Functions

| LoanableArray ()
| LoanableArray (const LoanableArray &)=delete
LoanableArray & | operator= (const LoanableArray &)=delete
| LoanableArray (LoanableArray &&)=delete
LoanableArray & | operator= (LoanableArray &&)=delete
void ** | buffer_for_loans () const
| Get a buffer pointer that could be used on loan.

## Detailed Description

template<typename T, std::size_t num_items>
struct eprosima::fastdds::dds::LoanableArray< T, num_items >

A type-safe, ordered collection of elements allocated on the stack, which can be loaned to a LoanableCollection.

## Constructor & Destructor Documentation

## ◆ LoanableArray() [1/3]

template<typename T, std::size_t num_items>

LoanableArray | ( |  | ) |

inline

## ◆ LoanableArray() [2/3]

template<typename T, std::size_t num_items>

LoanableArray | ( | const LoanableArray< T, num_items > & |  | ) |

delete

## ◆ LoanableArray() [3/3]

template<typename T, std::size_t num_items>

LoanableArray | ( | LoanableArray< T, num_items > && |  | ) |

delete

## Member Function Documentation

## ◆ buffer_for_loans()

template<typename T, std::size_t num_items>

void ** buffer_for_loans | ( |  | ) | const

inline

Get a buffer pointer that could be used on loan.

Returns
  buffer pointer for loans.

## ◆ operator=() [1/2]

template<typename T, std::size_t num_items>

LoanableArray & operator= | ( | const LoanableArray< T, num_items > & |  | ) |

delete

## ◆ operator=() [2/2]

template<typename T, std::size_t num_items>

LoanableArray & operator= | ( | LoanableArray< T, num_items > && |  | ) |

delete

The documentation for this struct was generated from the following file:

- include/fastdds/dds/core/LoanableArray.hpp